Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and a token.

Path Parameters

app_id
string
required

App ID

locale
string
required

Alpha 2 country code. e.g se

market
string
required

The related product market

Query Parameters

page
integer

Page number (default: 1)

per_page
integer

Items per page (default: 50, max: 50)

only_active
boolean

Filter only active products

in_stock
boolean

Filter by stock availability

in_stock_in
string

Filter by stock availability in a specific warehouse (by warehouse slug)

sort
string

Sort order. One of created_at_desc, created_at_asc, name_asc, name_desc, category_order_asc, category_order_desc, collection_order_asc, collection_order_desc, tag_order_asc, tag_order_desc, price_asc, price_desc

sku
string[]

Filter by SKUs

variant_name
string[]

Filter by Variant Names

collection
string[]

Filter on collections slugs

tag
string[]

Filter by tags key. e.g black-friday

slug
string[]

Filter by product slugs

brand
string[]

Filter by brand slug

serie
string[]

Filter by serie slug

category
string[]

Filter by category slug

smart_list
string[]

Filter by smart list slug

static_list
string[]

Filter by static list slug

not_in_sku
string[]

Exclude products with these SKUs

not_in_category
string[]

Exclude products in these categories (by slug)

not_in_collection
string[]

Exclude products in these collections (by uri)

not_in_tag
string[]

Exclude products with these tags (by key)

not_in_brand
string[]

Exclude products with these brands (by slug)

not_in_serie
string[]

Exclude products with these series (by slug)

price_gte
number

Filter by minimum price (inclusive)

price_lte
number

Filter by maximum price (inclusive)

attributes
string[]

Filter by attributes (format: template_key/value_key, e.g., color/blue). Product must match all specified attributes.

category_id
string[]

Filter by category IDs (UUIDs). Product must be in at least one of the specified category IDs.

not_in_category_id
string[]

Exclude products in these category IDs (UUIDs).

Full text search on products

include_child_category_products
boolean

Include products from child categories when filtering by category or category_id

Response

OK

data
object[]
page
integer
total
integer
total_pages
integer